Not a valid install package Not yet rated

Please repair the install package, I would like to try this.

This review is for a previous version of the add-on (1.6).